lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Craig Lewis (JIRA)" <j...@apache.org>
Subject [jira] [Created] (SOLR-2514) Upgrade velocity-tools to released version
Date Fri, 13 May 2011 19:43:47 GMT
Upgrade velocity-tools to released version
------------------------------------------

                 Key: SOLR-2514
                 URL: https://issues.apache.org/jira/browse/SOLR-2514
             Project: Solr
          Issue Type: Task
          Components: web gui
    Affects Versions: 3.1
         Environment: JBoss 6.0.0.Final on FreeBSD 8.2
            Reporter: Craig Lewis
            Priority: Minor


I'm deploying Solr 3.1.0 in JBoss 6.0.0.Final

In JBoss, I'm trying to deploy apache-solr-3.1.0/example/webapps/solr.war as a Web Application.
 During deployment, JBoss returns an error:
  Deployment "vfs:///usr/local/jboss-6.0.0.Final/server/default/deploy/solr.war" is in error
due to the following reason(s): org.xml.sax.SAXException: Element type "tlibversion" must
be declared. @ vfs:///usr/local/jboss-6.0.0.Final/server/default/deploy/solr.war/WEB-INF/lib/velocity-tools-2.0-beta3.jar/META-INF/velocity-view.tld[22,16]

        at org.rhq.plugins.jbossas5.util.DeploymentUtils.deployArchive(DeploymentUtils.java:146)
[jopr-jboss-as-5-plugin-3.0.0.jar:3.0.0]
        at org.rhq.plugins.jbossas5.deploy.AbstractDeployer.deploy(AbstractDeployer.java:119)
[jopr-jboss-as-5-plugin-3.0.0.jar:3.0.0]
        at org.rhq.plugins.jbossas5.helper.CreateChildResourceFacetDelegate.createContentBasedResource(CreateChildResourceFacetDelegate.java:124)
[jopr-jboss-as-5-plugin-3.0.0.jar:3.0.0]
        at org.rhq.plugins.jbossas5.helper.CreateChildResourceFacetDelegate.createResource(CreateChildResourceFacetDelegate.java:56)
[jopr-jboss-as-5-plugin-3.0.0.jar:3.0.0]
        at org.rhq.plugins.jbossas5.ApplicationServerComponent.createResource(ApplicationServerComponent.java:304)
[jopr-jboss-as-5-plugin-3.0.0.jar:3.0.0]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [:1.6.0]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [:1.6.0]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
[:1.6.0]
        at java.lang.reflect.Method.invoke(Method.java:616) [:1.6.0]
        at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:525)
[:3.0.0]
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334) [:1.6.0]
        at java.util.concurrent.FutureTask.run(FutureTask.java:166) [:1.6.0]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
[:1.6.0]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
[:1.6.0]
        at java.lang.Thread.run(Thread.java:679) [:1.6.0]


After a bit of digging, I found that there was a bug in solr.war/WEB-INF/lib/velocity-tools-2.0-beta3.jar/META-INF/velocity-view.tld,
[https://issues.apache.org/jira/browse/VELTOOLS-120]

The latest version of velocity-tools, velocity-tools-2.0.jar (available at [http://velocity.apache.org/download.cgi]
) include this bugfix.

To test, I unziped solr.war, deleted solr.war/WEB-INF/lib/velocity-tools-2.0-beta3.jar, added
solr.war/WEB-INF/lib/velocity-tools-2.0.jar, and re-zipped solr.war.  I am able to deploy
this new .war file.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message